# Uses of Interface
org.eclipse.core.resources.ISaveParticipant

Packages that use ISaveParticipant
Package
Description
org.eclipse.core.resources
Provides basic support for managing a workspace and its resources.

## Uses of ISaveParticipant in org.eclipse.core.resources

Methods in org.eclipse.core.resources with parameters of type ISaveParticipant
Modifier and Type
Method
Description
`ISavedState`
IWorkspace.`addSaveParticipant(String pluginId, ISaveParticipant participant)`
Registers the given plug-in's workspace save participant, and returns an object describing the workspace state at the time of the last save in which the bundle participated.
`ISavedState`
IWorkspace.`addSaveParticipant(Plugin plugin, ISaveParticipant participant)`
Deprecated.
Use `IWorkspace.addSaveParticipant(String, ISaveParticipant)` instead